import React from "react";
export declare type TypographyProps = {
    variant: "b1" | "b2" | "b3" | "b4" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "inherit" | "subtitle1" | "caption";
    component?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "p";
    paragraph?: boolean;
    color?: "inherit" | "brand" | "primary" | "secondary" | string;
    align?: "center" | "inherit" | "justify" | "left" | "right";
    children: React.ReactNode;
    className?: string;
    display?: "block" | "initial" | "inline";
    noWrap?: boolean;
};
export declare type RefType = HTMLDivElement;
declare const Typography: React.ForwardRefExoticComponent<TypographyProps & React.RefAttributes<HTMLDivElement>>;
export default Typography;
//# sourceMappingURL=index.d.ts.map